// Time in milliseconds for each slide
const slideInterval = 12000;

// Function to initialize a slideshow
function initializeSlideshow(slideshow) {
    const images = slideshow.querySelectorAll('img');
    let currentIndex = 0;

    function showNextImage() {
        // Hide the current image
        images[currentIndex].style.opacity = 0;

        // Move to the next image (loop back to start if at the end)
        currentIndex = (currentIndex + 1) % images.length;

        // Show the next image
        images[currentIndex].style.opacity = 1;
    }

    // Initialize the first image
    images[currentIndex].style.opacity = 1;

    // Start the slideshow
    setInterval(showNextImage, slideInterval);
}

// Get all slideshow containers
const slideshows = document.querySelectorAll('.slideshow');

// Initialize each slideshow
slideshows.forEach(initializeSlideshow);